--- u-boot-2011.06_original/board/cavium/cnc1900/power_clock.h	1970-01-01 08:00:00.000000000 +0800
+++ u-boot-2011.06/board/cavium/cnc1900/power_clock.h	2015-05-18 19:41:06.764203000 +0800
@@ -0,0 +1,428 @@
+#ifndef __POWER_CLOCK_H__
+#define __POWER_CLOCK_H__
+
+#ifdef __cplusplus
+extern "C"{
+#endif
+
+typedef enum _CLOCK_REG_BANK_
+{
+  CNC1900_ID_SCS                    =0xB2100000,
+
+  CLOCK_ID_BASE                     =(CNC1900_ID_SCS+(0<<2)),
+  CLOCK_PLL_BASE                    =(CNC1900_ID_SCS+(0x40<<2)),
+  CLOCK_MUX_BASE                    =(CNC1900_ID_SCS+(0x50<<2)),
+  CLOCK_RESET_BASE                  =(CNC1900_ID_SCS+(0x80<<2)),
+  PLL_PARA_BASE                     =(CNC1900_ID_SCS+(0xC0<<2)),
+  VDAC_BASE                         =(CNC1900_ID_SCS+(0xD4<<2)),
+  CPU_PWR_BASE                      =(CNC1900_ID_SCS+(0xD8<<2)),
+
+  CLOCK_ID_LO                       =(CLOCK_ID_BASE+(0<<2)),
+  CLOCK_ID_HI                       =(CLOCK_ID_BASE+(1<<2)),
+
+  //B2100100
+  CLOCK_PLL_AVS_DIV                 =(CLOCK_PLL_BASE+(1<<2)),       
+  CLOCK_AUD_DIV                     =(CLOCK_PLL_BASE+(6<<2)),
+  CLOCK_CLK_GEN_DIV                 =(CLOCK_PLL_BASE+(8<<2)),
+
+  //B2100140
+  CLOCK_PLL_CLK_EN                  =(CLOCK_MUX_BASE+(0<<2)),
+  CLK_SRC_SEL                       =(CLOCK_MUX_BASE+(1<<2)),
+  CLOCK_TVE_DIV_N		            =(CLOCK_MUX_BASE+(2<<2)),
+
+  //B2100200
+  CLOCK_SOFT_RESET                  =(CLOCK_RESET_BASE+(0<<2)),
+  CLOCK_CLK_RESET                   =(CLOCK_RESET_BASE+(1<<2)),
+  CLOCK_PLL_SLEEP_N                 =(CLOCK_RESET_BASE+(3<<2)),
+  CLOCK_HDMI_CLK_SEL                =(CLOCK_RESET_BASE+(6<<2)),
+  SB_CTRL                           =(CLOCK_RESET_BASE+(7<<2)),
+  SB_STATUS                         =(CLOCK_RESET_BASE+(8<<2)),
+
+  //B2100300
+  CPUCLK_ST_INT                     =(PLL_PARA_BASE+ (5<<2)),
+  PLL_CPU_DIV                       =(PLL_PARA_BASE+ (6<<2)),
+  PLL_TVE_PARA_Q                    =(PLL_PARA_BASE+ (7<<2)),
+  PLL_TVE_PARA_F                    =(PLL_PARA_BASE+ (8<<2)),
+  PLL_AUD_PARA_Q                    =(PLL_PARA_BASE+ (9<<2)),
+  PLL_AUD_PARA_F                    =(PLL_PARA_BASE+ (0x0A<<2)),
+  PLL_SYS_PARA_Q                    =(PLL_PARA_BASE+ (0x0B<<2)),
+  PLL_SYS_PARA_F                    =(PLL_PARA_BASE+ (0x0C<<2)),
+  PLL_DDR_PARA_Q                    =(PLL_PARA_BASE+ (0x0D<<2)),
+  PLL_DDR_PARA_F                    =(PLL_PARA_BASE+ (0x0E<<2)),
+  PLL_NEWDIV                        =(PLL_PARA_BASE+ (0x0F<<2)),
+  PLL_CODA_PARA_Q                   =(PLL_PARA_BASE+ (0x11<<2)),
+  PLL_CODA_PARA_F                   =(PLL_PARA_BASE+ (0x12<<2)),
+  CPU_PWR_MODE                   	=(PLL_PARA_BASE+ (0x20<<2)),
+  PLL_CLK_EN                   		=(PLL_PARA_BASE+ (0x50<<2)),
+
+  //B2100350
+  VDAC0_CTRL                        =(VDAC_BASE    + (0<<2)),
+  VDAC1_CTRL                        =(VDAC_BASE    + (1<<2)),
+  VDAC_CABLE_DET                    =(VDAC_BASE    + (2<<2)),
+
+  //B2100360
+  CPU_POWER_STATUS                  =(CPU_PWR_BASE + (0<<2)),
+  CPU_POWER_CTRL                    =(CPU_PWR_BASE + (1<<2)),
+  CPU_RST_CTRL                      =(CPU_PWR_BASE + (2<<2)),
+  CPU_SCU_EV_ABORT                  =(CPU_PWR_BASE + (3<<2)),
+  CPU_SCU_CHRC_CNT                  =(CPU_PWR_BASE + (4<<2)),
+  CPU_POWER_MODE                    =(CPU_PWR_BASE + (8<<2)),
+  USB_CTRL                          =(CPU_PWR_BASE + (0x0C<<2)),
+  STC_CTRL                          =(CPU_PWR_BASE + (0x10<<2)),
+
+  CLOCK_REG_SIZE = 0x1000,
+}CLOCK_REG_BANK;
+
+typedef enum _POWER_MODE_
+{
+	_clock_sleep =0,
+	_clock_wake  =1,
+}POWER_MODE;
+
+typedef enum _CLOCK_RESET_
+{
+  _do_reset =0,
+  _do_set   =1,
+}CLOCK_RESET;
+
+typedef enum _CLOCK_ENA_
+{
+        _clock_enable =1,
+        _clock_disable =0,
+}CLOCK_ENA;
+
+//Display
+typedef enum _DISP_ID_
+{
+  _disp0 =0,
+  _disp1 =1,
+}DISP_ID;
+
+typedef enum _disp_clock_source_
+{
+  _sys_pll =0,
+  _tve_pll =1,
+}DISP_CLOCK_SOURCE;
+
+typedef enum _CLOCK_DISP0_MODE_e_ {                
+    _YUV_1080P_60Hz             ,          
+    _YUV_1080P_50Hz             ,          
+    _YUV_1080P_30Hz             ,          
+    _YUV_1080P_25Hz             ,          
+    _YUV_1080P_24Hz             ,          
+    _YUV_1080I_60Hz             ,          
+    _YUV_1080I_50Hz             ,          
+    _YUV_720P_60Hz              ,          
+    _YUV_720P_50Hz              ,          
+
+    _YUV_1080P_59p94Hz          ,          
+    _YUV_1080P_29p97Hz          ,          
+    _YUV_1080P_23p98Hz          ,          
+    _YUV_1080I_59p94Hz          ,          
+    _YUV_720P_59p94Hz           ,          
+
+    _YUV_576P_50Hz              ,          
+    _YUV_480P_59p94Hz              ,          
+    _YUV_480P_60Hz           ,          
+    _YUV_PAL                    ,          
+    _YUV_NTSC                   ,          
+    _YUV_480I_60Hz           ,          
+
+    _RGB_DMT_640x350_85Hz       ,          
+    _RGB_DMT_640x400_85Hz       ,          
+    _RGB_DMT_720x400_85Hz       ,          
+    _RGB_DMT_640x480_60Hz       ,          
+    _RGB_DMT_640x480_72Hz       ,          
+    _RGB_DMT_640x480_75Hz       ,          
+    _RGB_DMT_640x480_85Hz       ,          
+    _RGB_DMT_800x600_56Hz       ,          
+    _RGB_DMT_800x600_60Hz       ,          
+    _RGB_DMT_800x600_72Hz       ,          
+    _RGB_DMT_800x600_75Hz       ,          
+    _RGB_DMT_800x600_85Hz       ,          
+    _RGB_DMT_800x600_120Hz_RED  ,          
+
+    _RGB_DMT_848x480_60Hz       ,          
+
+    _RGB_DMT_1024x768_43Hz      ,          
+    _RGB_DMT_1024x768_60Hz      ,          
+    _RGB_DMT_1024x768_70Hz      ,          
+    _RGB_DMT_1024x768_75Hz      ,          
+    _RGB_DMT_1024x768_85Hz      ,          
+    _RGB_DMT_1024x768_120Hz_RED ,          
+
+    _RGB_DMT_1152x864_75Hz      ,          
+
+    _RGB_DMT_1280x768_60Hz_RED  ,          
+    _RGB_DMT_1280x768_60Hz      ,          
+    _RGB_DMT_1280x768_75Hz      ,          
+    _RGB_DMT_1280x768_85Hz      ,          
+    _RGB_DMT_1280x768_120Hz_RED ,          
+
+    _RGB_DMT_1280x800_60Hz_RED  ,          
+    _RGB_DMT_1280x800_60Hz      ,          
+    _RGB_DMT_1280x800_75Hz      ,          
+    _RGB_DMT_1280x800_85Hz      ,          
+    _RGB_DMT_1280x800_120Hz_RED ,          
+
+    _RGB_DMT_1280x960_60Hz      ,          
+    _RGB_DMT_1280x960_85Hz      ,          
+
+    _RGB_DMT_1280x1024_60Hz     ,          
+    _RGB_DMT_1280x1024_75Hz     ,          
+    _RGB_DMT_1280x1024_85Hz     ,          
+
+    _RGB_DMT_1360x768_60Hz      ,          
+    _RGB_DMT_1360x768_120Hz_RED ,          
+
+    _RGB_DMT_1400x1050_60Hz_RED ,          
+    _RGB_DMT_1400x1050_60Hz     ,          
+    _RGB_DMT_1400x1050_75Hz     ,          
+
+    _RGB_DMT_1440x900_60Hz_RED  ,          
+    _RGB_DMT_1440x900_60Hz      ,          
+    _RGB_DMT_1440x900_75Hz      ,          
+    _RGB_DMT_1440x900_85Hz      ,          
+
+    _RGB_DMT_1600x1200_60Hz     ,          
+
+    _RGB_DMT_1680x1050_60Hz_RED ,          
+    _RGB_DMT_1680x1050_60Hz     ,          
+
+    _RGB_DMT_1920x1200_60Hz_RED,
+    _RGB_DMT_640x480_59P94Hz,
+}CLOCK_DISP0_MODE;
+
+typedef enum _CLOCK_DISP1_MODE_e_
+{
+    _YUV_576P_50Hz_disp1,
+    _YUV_480P_60Hz_disp1,
+    _YUV_PAL_disp1,
+    _YUV_NTSC_disp1,
+    _YUV_SECAM_disp1,
+    _YUV_PAL_M_disp1,
+    _YUV_PAL_N_disp1,
+    _YUV_PAL_CN_disp1,
+}CLOCK_DISP1_MODE;
+//double ClockDispFreq(DISP_CLOCK_MODE DispName);
+#if 0
+void clock_disp_reset(DISP_ID ID,CLOCK_RESET ResetOrSet);
+int clock_dispset_clockmode0(DISP_ID ID,DISP_CLOCK_MODE DispName); //OutIF 0 :HD+VGA+SD  OutIF1:SD
+int clock_dispset_clockmode1(DISP_ID ID,DISP_CLOCK_MODE DispName); //OutIF 0:VGA+SD         OutIF1:HD + SD
+int clock_dispset_clockmode2(DISP_ID ID,DISP_CLOCK_MODE DispName); //OutIF 0:HD               OutIF1:HD
+int clock_dispset_clockmoderaw(DISP_ID ID,DISP_CLOCK_MODE DispName,DISP_CLOCK_SOURCE ClockSource);
+void clock_dispset_dac0mode(POWER_MODE PowerMode);
+void clock_dispset_dac1mode(POWER_MODE PowerMode); //DAC 0 Is the CVBS DAC DAC1 is the YPbPr and VGA DAC
+void clock_disptve_pllmode(POWER_MODE PowerMode);
+void clock_dispsys_pllmode(POWER_MODE PowerMode);
+void clock_hdmiset_clockmode(DISP_CLOCK_MODE DispMode,TMDS_CLOCK_MODE ClockMode);
+
+#endif
+void clock_dac1_enaclock(CLOCK_ENA ClockEna);
+void clock_dac0_enaclock(CLOCK_ENA ClockEna);
+void clock_disp0_setclock(CLOCK_DISP0_MODE mode_disp0);
+void clock_disp1_setclock(CLOCK_DISP1_MODE mode_disp1);
+void clock_df_enaclock(CLOCK_ENA ClockEna);
+void clock_tve0_enaclock(CLOCK_ENA ClockEna);
+void clock_ahb2_enaclock(CLOCK_ENA ClockEna);
+void clock_video_enaclock(CLOCK_ENA ClockEna);
+void clock_cpu_enaclock(CLOCK_ENA ClockEna);
+void clock_cpusrc_enaclock(CLOCK_ENA ClockEna);
+void clock_vpb_enaclock(CLOCK_ENA ClockEna);
+void clock_vpbinput_enaclock(CLOCK_ENA ClockEna);
+//----------------------------------------------------------------
+//Note: The Display Can support five modes,These modes depends on three
+//         different clock source select modes.
+//Note: In 1800l, only mode0 are supported: OutIF0 :HD+VGA+SD  OutIF1:SD
+//----------------------------------------------------------------
+//Disp #0     Disp#1               Disp0 Source          Disp1Source
+//----------------------------------------------------------------
+//HD            SD                     TVE_PLL                 SYS_PLL     ------Mode 0
+//HD            HD                     TVE_PLL                 TVE_PLL     ------Mode 2
+//VGA          SD                     TVE_PLL                 SYS_PLL     ------Mode 0
+//VGA          HD                     SYS_PLL                 TVE_PLL     ------Mode 1
+//SD            HD                     SYS_PLL                 TVE_PLL     ------Mode 1
+//----------------------------------------------------------------
+#if 0
+typedef enum _TMDS_CLOCK_MODE_
+{
+	_1x_disp_clk =0,
+	_2x_disp_clk =1,
+	_4x_disp_clk =3,
+}TMDS_CLOCK_MODE;
+
+typedef enum _DDC_CLOCK_MODE_
+{
+	_ddc_clk_high 		=0,
+	_ddc_clk_middle		=1,
+	_ddc_clk_low		=2,
+}DDC_CLOCK_MODE;
+
+void clock_ddcset_clockmode(DDC_CLOCK_MODE ClockMode);
+//!!!!!!!This function must be employed after set DF clock
+
+//Audio
+typedef enum _AUDIO_CLOCK_MODE_
+{
+	_AUDIO_192KHz           =0,
+	_AUDIO_96KHz 		=1,
+	_AUDIO_88_2KHz		=2,
+	_AUDIO_64KHz		=3,
+	_AUDIO_44_1KHz		=4,
+	_AUDIO_48KHz		=5,
+	_AUDIO_32KHz		=6,
+	_AUDIO_24KHz		=7,
+	_AUDIO_22_05KHz		=8,
+	_AUDIO_16KHz		=9,
+	_AUDIO_12KHz		=10,
+	_AUDIO_11_025KHz	=11,
+	_AUDIO_8KHz	        =12,
+}AUDIO_CLOCK_MODE;
+
+void clock_audio_setclock(AUDIO_CLOCK_MODE AudioClockMode);
+//int ClockAudioPLLMode(POWER_MODE PowerMode);
+//int ClockSPDIFSetClock(AUDIO_CLOCK_MODE ClockMode);
+
+//USB
+int ClockUSB0PhyPowerDown(POWER_MODE PowerMode);
+int ClockUSB1PhyPowerDown(POWER_MODE PowerMode);
+int ClockUSB1PhyBypassEnable(void);
+int ClockUSB1PhyBypassDisable(void);
+
+//Xport
+int ClockXportInputClockSel(int ClockSel); //0:SYS_CLK27 1:AV_CLK27
+
+//Video
+typedef enum _VIDEO_CLOCK_MODE_
+{
+	_VIDEO_189M			=0, //756/4
+	_VIDEO_151_2M		        =1, //756/5
+	_VIDEO_126M			=2, //756/6
+	_VIDEO_108M			=3, //756/7
+}VIDEO_CLOCK_MODE;
+int ClockCodaSetClock(VIDEO_CLOCK_MODE ClockMode);
+
+
+typedef enum _Cec_CLOCK_MODE_
+{
+        _Cec_94P5M                     =0, //378/4 (para should be set to N-1, 3)
+        _Cec_2P1M                      =1, //378/180(para should be set to N-1, 179)
+        _Cec_1P48M                     =2, //378/255(para should be set to N-1, 254)
+}Cec_CLOCK_MODE;
+void clock_cecset_clockmode(Cec_CLOCK_MODE ClockMode);
+
+typedef enum _AV_CLOCK_MODE_
+{
+        _AV_189M                     =0, //756/4
+        _AV_126M                     =1, //756/6
+        _AV_50P4M                    =2, //756/15
+}AV_CLOCK_MODE;
+int ClockAVSetClock(AV_CLOCK_MODE ClockMode);
+
+typedef enum _AHB_CLOCK_MODE_             //ClockGEN for AHB(AHB1 & CRYPTO/AHB2/APB Clock)
+{
+        _AHB_189M                     =0, //756/4
+        _AHB_126M                     =1, //756/6
+        _AHB_108M                     =2, //756/7
+}AHB_CLOCK_MODE;
+int ClockAHBSetClock(AHB_CLOCK_MODE ClockMode);
+
+/*
+typedef enum _AHB2_CLOCK_MODE_             
+{
+        _AHB2_189M                    =0, //756/4
+        _AHB2_126M                    =1, //756/6
+        _AHB2_108M                    =2, //756/7
+        _AHB2_94P5M                   =3, //756/8
+}AHB2_CLOCK_MODE;
+int ClockAHB2SetClock(AHB2_CLOCK_MODE ClockMode);
+
+typedef enum _APB_CLOCK_MODE_            
+{
+        _APB_94P5M                     =0, //756/8
+        _APB_47P25M                    =1, //756/16
+        _APB_24P38M                     =2, //756/31
+}APB_CLOCK_MODE;
+int ClockAPBSetClock(APB_CLOCK_MODE ClockMode);
+*/
+
+typedef enum _GFX_CLOCK_MODE_
+{
+        _GFX_189M                     =0, //756/4
+        _GFX_126M                     =1, //756/6
+        _GFX_50P4M                    =2, //756/15
+}GFX_CLOCK_MODE;
+int ClockGFXSetClock(GFX_CLOCK_MODE ClockMode);
+
+typedef enum _DF_CLOCK_MODE_
+{
+        _DF_189M                     =0, //756/4
+        _DF_126M                     =1, //756/6
+        _DF_50P4M                    =2, //756/15
+}DF_CLOCK_MODE;
+int ClockDFSetClock(DF_CLOCK_MODE ClockMode);
+
+typedef enum _SD_CLOCK_MODE_             
+{
+        _SD_108M                       =0, //756/7
+        _SD_94P5M                      =1, //756/8
+        _SD_47P25M                     =2, //756/16
+        _SD_24P38M                     =3, //756/31
+}SD_CLOCK_MODE;
+int ClockSDSetClock(SD_CLOCK_MODE ClockMode);
+
+//Reset
+int ClockDramportAReset(CLOCK_RESET ResetOrSet);
+void clock_hdmi_reset(CLOCK_RESET ResetOrSet);
+void clock_coda_reset(CLOCK_RESET ResetOrSet);
+int ClockUSBPhyReset(CLOCK_RESET ResetOrSet);
+void clock_vib_reset(CLOCK_RESET ResetOrSet);
+int ClockTVE0Reset(CLOCK_RESET ResetOrSet);
+int ClockTVE1Reset(CLOCK_RESET ResetOrSet);
+int ClockDisp0Reset(CLOCK_RESET ResetOrSet);
+void clock_disp1_reset(CLOCK_RESET ResetOrSet);
+void clock_df_reset(CLOCK_RESET ResetOrSet);
+void  clock_gfx_reset(CLOCK_RESET ResetOrSet);
+void clock_video_reset(CLOCK_RESET ResetOrSet);
+int ClockAudioReset(CLOCK_RESET ResetOrSet);
+int ClockUSBReset(CLOCK_RESET ResetOrSet);
+int ClockEtherReset(CLOCK_RESET ResetOrSet);
+int ClockXportReset(CLOCK_RESET ResetOrSet);
+int ClockDDRReset(CLOCK_RESET ResetOrSet);
+void clock_crypto_reset(CLOCK_RESET ResetOrSet);
+
+//Clock Enable/disable
+void clock_ddc_clockena(CLOCK_ENA ClockEna);
+void clock_cec_clockena(CLOCK_ENA ClockEna);
+int ClockDramportAClockEna(CLOCK_ENA ClockEna);
+void clock_video_clockena(CLOCK_ENA ClockEna);
+int ClockXportClockEna(CLOCK_ENA ClockEna);
+void clock_vib_clockena(CLOCK_ENA ClockEna);
+int ClockCryptoClockEna(CLOCK_ENA ClockEna);
+int ClockGfxClockEna(CLOCK_ENA ClockEna);
+int ClockDFClockEna(CLOCK_ENA ClockEna);
+void clock_coda_clockena(CLOCK_ENA ClockEna);
+int ClockAudpllClockEna(CLOCK_ENA ClockEna);
+void clock_tms_clockena(CLOCK_ENA ClockEna);
+int ClockTve0ClockEna(CLOCK_ENA ClockEna);
+int ClockTve1ClockEna(CLOCK_ENA ClockEna);
+int ClockDramcpuClockEna(CLOCK_ENA ClockEna);
+int ClockDDRClockEna(CLOCK_ENA ClockEna);
+int ClockAhb1ClockEna(CLOCK_ENA ClockEna);
+int ClockAhbClockEna(CLOCK_ENA ClockEna);        //Ahb2/APB clock Ena
+int ClockAudDACIFClockEna(CLOCK_ENA ClockEna);   //SigmaDAC clock Ena
+int ClockSDClockEna(CLOCK_ENA ClockEna);      
+void clock_audio_clockena(CLOCK_ENA ClockEna);
+void clock_gfx_clockena(CLOCK_ENA ClockEna);
+void clock_crypto_clockena(CLOCK_ENA ClockEna);
+void clock_vib_clockena(CLOCK_ENA ClockEna);
+void clock_video_clockena(CLOCK_ENA ClockEna);
+void clock_coda_clockena(CLOCK_ENA ClockEna);
+#endif
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+
diff '--exclude=.svn' -Naur u-boot-2011.06_original/boards.cfg u-boot-2011.06/boards.cfg
--- u-boot-2011.06_original/boards.cfg	2011-06-28 04:22:42.000000000 +0800
+++ u-boot-2011.06/boards.cfg	2015-03-16 11:19:40.877878000 +0800
@@ -120,9 +120,9 @@
 mgcoge3un                    arm         arm926ejs   km_arm              keymile        kirkwood
 guruplug                     arm         arm926ejs   -                   Marvell        kirkwood
 mv88f6281gtw_ge              arm         arm926ejs   -                   Marvell        kirkwood
-openrd_base                  arm         arm926ejs   openrd              Marvell        kirkwood        openrd:BOARD_IS_OPENRD_BASE
-openrd_client                arm         arm926ejs   openrd              Marvell        kirkwood        openrd:BOARD_IS_OPENRD_CLIENT
-openrd_ultimate              arm         arm926ejs   openrd              Marvell        kirkwood        openrd:BOARD_IS_OPENRD_ULTIMATE
+openrd_base                  arm         arm926ejs   openrd              Marvell        kirkwood    openrd:BOARD_IS_OPENRD_BASE
+openrd_client                arm         arm926ejs   openrd              Marvell        kirkwood    openrd:BOARD_IS_OPENRD_CLIENT
+openrd_ultimate              arm         arm926ejs   openrd              Marvell        kirkwood    openrd:BOARD_IS_OPENRD_ULTIMATE
 rd6281a                      arm         arm926ejs   -                   Marvell        kirkwood
 sheevaplug                   arm         arm926ejs   -                   Marvell        kirkwood
 dockstar                     arm         arm926ejs   -                   Seagate        kirkwood
@@ -130,17 +130,30 @@
 imx27lite                    arm         arm926ejs   imx27lite           logicpd        mx27
 magnesium                    arm         arm926ejs   imx27lite           logicpd        mx27
 nhk8815                      arm         arm926ejs   nhk8815             st             nomadik
-nhk8815_onenand              arm         arm926ejs   nhk8815             st             nomadik       nhk8815:BOOT_ONENAND
+orion                        arm         arm926ejs   orion               celestial      csm1800h 
+nhk8815_onenand              arm         arm926ejs   nhk8815             st             nomadik     nhk8815:BOOT_ONENAND
 omap5912osk                  arm         arm926ejs   -                   ti             omap
 edminiv2                     arm         arm926ejs   -                   LaCie          orion5x
-dkb			     arm         arm926ejs   -                   Marvell        pantheon
+dkb			                 arm         arm926ejs   -                   Marvell        pantheon
+
+83XX_SONY                    arm         armv7       cnc1900             cavium         cnc1900     cnc1900:TARGET_NAME=CNW83XX_SONY
+83XX_SONY_VEDETT                   arm         armv7       cnc1900             cavium         cnc1900     cnc1900:TARGET_NAME=CNW83XX_SONY_VEDETT
+1900_EVB                     arm         armv7       cnc1900             cavium         cnc1900     cnc1900:TARGET_NAME=CNC1900_EVB
+1900_HDK                     arm         armv7       cnc1900             cavium         cnc1900     cnc1900:TARGET_NAME=CNC1900_HDK
+83XX_OTT_EMMC                arm         armv7       cnc1900             cavium         cnc1900     cnc1900:TARGET_NAME=CNW83XX_OTT_EMMC
+83XX_VMS_MINI                arm         armv7       cnc1900             cavium         cnc1900     cnc1900:TARGET_NAME=CNW83XX_VMS_MINI
+83XX_ZINWELL                 arm         armv7       cnc1900             cavium         cnc1900     cnc1900:TARGET_NAME=CNC1900_ZINWELL
+1900_FJ_RX                   arm         armv7       cnc1900             cavium         cnc1900     cnc1900:TARGET_NAME=CNC1900_FJ_RX
+1900_FJ_TX                   arm         armv7       cnc1900             cavium         cnc1900     cnc1900:TARGET_NAME=CNC1900_FJ_RX
+1900_FPGA                    arm         armv7       cnc1900             cavium         cnc1900     cnc1900:TARGET_NAME=CNC1900_FPGA
+
 ca9x4_ct_vxp                 arm         armv7       vexpress            armltd
-efikamx                      arm         armv7       efikamx             -              mx5		mx51evk:IMX_CONFIG=board/efikamx/imximage.cfg
-mx51evk                      arm         armv7       mx51evk             freescale      mx5		mx51evk:IMX_CONFIG=board/freescale/mx51evk/imximage.cfg
-mx53evk                      arm         armv7       mx53evk             freescale      mx5		mx53evk:IMX_CONFIG=board/freescale/mx53evk/imximage.cfg
-mx53loco                     arm         armv7       mx53loco            freescale      mx5		mx53loco:IMX_CONFIG=board/freescale/mx53loco/imximage.cfg
-mx53smd                      arm         armv7       mx53smd             freescale      mx5		mx53smd:IMX_CONFIG=board/freescale/mx53smd/imximage.cfg
-vision2                      arm         armv7       vision2             ttcontrol      mx5		vision2:IMX_CONFIG=board/ttcontrol/vision2/imximage_hynix.cfg
+efikamx                      arm         armv7       efikamx             -              mx5         mx51evk:IMX_CONFIG=board/efikamx/imximage.cfg
+mx51evk                      arm         armv7       mx51evk             freescale      mx5         mx51evk:IMX_CONFIG=board/freescale/mx51evk/imximage.cfg
+mx53evk                      arm         armv7       mx53evk             freescale      mx5         mx53evk:IMX_CONFIG=board/freescale/mx53evk/imximage.cfg
+mx53loco                     arm         armv7       mx53loco            freescale      mx5         mx53loco:IMX_CONFIG=board/freescale/mx53loco/imximage.cfg
+mx53smd                      arm         armv7       mx53smd             freescale      mx5         mx53smd:IMX_CONFIG=board/freescale/mx53smd/imximage.cfg
+vision2                      arm         armv7       vision2             ttcontrol      mx5         vision2:IMX_CONFIG=board/ttcontrol/vision2/imximage_hynix.cfg
 cm_t35                       arm         armv7       cm_t35              -              omap3
 omap3_overo                  arm         armv7       overo               -              omap3
 omap3_pandora                arm         armv7       pandora             -              omap3
diff '--exclude=.svn' -Naur u-boot-2011.06_original/build.sh u-boot-2011.06/build.sh
--- u-boot-2011.06_original/build.sh	1970-01-01 08:00:00.000000000 +0800
+++ u-boot-2011.06/build.sh	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,19 @@
+rm -f u-boot.bin
+CNC_PLATFORM_NAME=${CNC_PLATFORM##*/}
+make ${CNC_PLATFORM_NAME} CNC_PLATFORM_NAME=${CNC_PLATFORM_NAME} CUSTOMER_NAME=${CUSTOMER_NAME}
+#make CNC_PLATFORM_NAME=${CNC_PLATFORM_NAME} CUSTOMER_NAME=${CUSTOMER_NAME} clean
+#make CNC_PLATFORM_NAME=${CNC_PLATFORM_NAME} CUSTOMER_NAME=${CUSTOMER_NAME}
+
+#if 
+#test -f u-boot.bin
+#then
+#	cp u-boot.bin ../../miniloader/uboot_signing
+#	pushd ./
+#	cd ../../miniloader/uboot_signing
+#	./sample_uboot_only_signing.sh
+#	popd
+#	cp ../../miniloader/uboot_signing/signed_u-boot.bin .
+#else
+#	echo ""
+#	echo "ERROR: U-Boot build is failed"
+#fi
diff '--exclude=.svn' -Naur u-boot-2011.06_original/common/cmd_andrboot.c u-boot-2011.06/common/cmd_andrboot.c
--- u-boot-2011.06_original/common/cmd_andrboot.c	1970-01-01 08:00:00.000000000 +0800
+++ u-boot-2011.06/common/cmd_andrboot.c	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,137 @@
+/*
+ * (C) Copyright 2008
+ * Stefan Roese, DENX Software Engineering, sr@denx.de.
+ *
+ * See file CREDITS for list of people who contributed to this
+ * project.
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License as
+ * published by the Free Software Foundation; either version 2 of
+ * the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+ * MA 02111-1307 USA
+ *
+ */
+
+
+/*
+ * Android command support
+ */
+#include <asm/byteorder.h>
+#include <common.h>
+#include <command.h>
+
+#define BOOT_MAGIC "ANDROID!"
+#define BOOT_MAGIC_SIZE 8
+#define BOOT_NAME_SIZE 16
+#define BOOT_ARGS_SIZE 512
+
+struct boot_img_hdr
+{
+	unsigned char magic[BOOT_MAGIC_SIZE];
+
+	unsigned kernel_size;  /* size in bytes */
+	unsigned kernel_addr;  /* physical load addr */
+
+	unsigned ramdisk_size; /* size in bytes */
+	unsigned ramdisk_addr; /* physical load addr */
+
+	unsigned second_size;  /* size in bytes */
+	unsigned second_addr;  /* physical load addr */
+
+	unsigned tags_addr;	/* physical addr for kernel tags */
+	unsigned page_size;	/* flash page size we assume */
+	unsigned unused[2];	/* future expansion: should be 0 */
+
+	unsigned char name[BOOT_NAME_SIZE]; /* asciiz product name */
+	
+	unsigned char cmdline[BOOT_ARGS_SIZE];
+
+	unsigned id[8]; /* timestamp / checksum / sha1 / etc */
+};
+
+/*
+** +-----------------+ 
+** | boot header	 | 1 page
+** +-----------------+
+** | kernel		  | n pages  
+** +-----------------+
+** | ramdisk		 | m pages  
+** +-----------------+
+** | second stage	| o pages
+** +-----------------+
+**
+** n = (kernel_size + page_size - 1) / page_size
+** m = (ramdisk_size + page_size - 1) / page_size
+** o = (second_size + page_size - 1) / page_size
+**
+** 0. all entities are page_size aligned in flash
+** 1. kernel and ramdisk are required (size != 0)
+** 2. second is optional (second_size == 0 -> no second)
+** 3. load each element (kernel, ramdisk, second) at
+**	the specified physical address (kernel_addr, etc)
+** 4. prepare tags at tag_addr.  kernel_args[] is
+**	appended to the kernel commandline in the tags.
+** 5. r0 = 0, r1 = MACHINE_TYPE, r2 = tags_addr
+** 6. if second_size != 0: jump to second_addr
+**	else: jump to kernel_addr
+*/
+
+ulong ramdisk_start, ramdisk_end; 
+
+int do_andr_boot(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
+{
+	struct boot_img_hdr *hdr;
+	ulong offset;
+	int length, pagesize = 2048;
+//	int ret = -1;
+	char str[32];
+
+	offset = simple_strtoul(argv[1], NULL, 16);
+	length = pagesize;
+
+	hdr = (struct boot_img_hdr *)offset;
+
+	printf("kernel  @ %x (%d bytes)\n", hdr->kernel_addr, hdr->kernel_size);
+	printf("ramdisk @ %x (%d bytes)\n\n\n", hdr->ramdisk_addr, hdr->ramdisk_size);
+
+	if (memcmp(hdr->magic, BOOT_MAGIC, BOOT_MAGIC_SIZE)) {
+		printf("INVALID BOOT IMAGE HEADER\n");
+		return -1;
+	}
+
+	offset += length;
+	length = (hdr->kernel_size + (pagesize - 1)) & (~(pagesize - 1));
+
+	memcpy( (void*) ( hdr->kernel_addr - 0x40) , (void*) offset, length);
+
+	offset += length;
+	length = (hdr->ramdisk_size + (pagesize - 1)) & (~(pagesize - 1));
+
+	if (offset != hdr->ramdisk_addr)
+		memcpy( (void*) hdr->ramdisk_addr, (void*) offset, length);
+
+	if (hdr->cmdline[0]) 
+		setenv("bootargs", (char *)hdr->cmdline);
+
+	ramdisk_start = hdr->ramdisk_addr;
+	ramdisk_end = ramdisk_start + hdr->ramdisk_size;
+
+	sprintf(str, "bootm 0x%x", hdr->kernel_addr - 0x40);
+	return run_command(str, 0);
+}
+
+U_BOOT_CMD(
+	andrboot, 2, 1,	do_andr_boot,
+	"boot android image",
+	"[addr]\n	- boot android boot image stored in memory"
+);
diff '--exclude=.svn' -Naur u-boot-2011.06_original/common/cmd_autoboot.c u-boot-2011.06/common/cmd_autoboot.c
--- u-boot-2011.06_original/common/cmd_autoboot.c	1970-01-01 08:00:00.000000000 +0800
+++ u-boot-2011.06/common/cmd_autoboot.c	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,58 @@
+/*
+ * (C) Copyright 2008
+ * Stefan Roese, DENX Software Engineering, sr@denx.de.
+ *
+ * See file CREDITS for list of people who contributed to this
+ * project.
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License as
+ * published by the Free Software Foundation; either version 2 of
+ * the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+ * MA 02111-1307 USA
+ *
+ */
+
+
+/*
+ * Android command support
+ */
+#include <asm/byteorder.h>
+#include <common.h>
+#include <command.h>
+
+#define BOOT_START_SECTOR 0x2022
+#define RECOVERY_START_SECTOR 0x6022
+
+#define CNC1900_SMEM_RESERVED 0x8001FFF0
+
+int do_auto_boot(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
+{
+	char str[64];
+	int offset = BOOT_START_SECTOR;
+	char *p = (char*) CNC1900_SMEM_RESERVED;
+
+	if (strcmp(p, "recovery") == 0)
+		offset = RECOVERY_START_SECTOR;
+
+	sprintf(str, "mmc read 0x800000 0x%x 0x3000", offset);
+	run_command(str, 0);
+
+	memset(p, 0x0, 0xF);
+	return run_command("andrboot 0x800000", 0);
+}
+
+U_BOOT_CMD(
+	autoboot, 1, 0,	do_auto_boot,
+	"auto boot android boot or recovery partition",
+	""
+);
diff '--exclude=.svn' -Naur u-boot-2011.06_original/common/cmd_bdinfo.c u-boot-2011.06/common/cmd_bdinfo.c
--- u-boot-2011.06_original/common/cmd_bdinfo.c	2011-06-28 04:22:42.000000000 +0800
+++ u-boot-2011.06/common/cmd_bdinfo.c	2014-07-29 17:28:38.819972000 +0800
@@ -353,6 +353,10 @@
 	print_num("irq_sp", gd->irq_sp);	/* irq stack pointer */
 	print_num("sp start ", gd->start_addr_sp);
 	print_num("FB base  ", gd->fb_base);
+#ifdef CONFIG_ARCH_CNC1900
+	printf("cpu freq = %d\n", gd->cpu_freq);
+	printf("ddr freq = %d\n", gd->ddr_freq);
+#endif
 	return 0;
 }
 
diff '--exclude=.svn' -Naur u-boot-2011.06_original/common/cmd_bootm.c u-boot-2011.06/common/cmd_bootm.c
